2008-11-15 jeromeg

  * Get ready for 1.4.0 release.

2008-11-15 jeromeg

  * configure.ac.in: bump version.
  * src/Makefile.am, lib/Makefile.am, panel-plugin/Makefile.am:
    - Remove -Werror.
  * lib/screenshooter-dialogs.c:
    - (screenshooter_dialog_new) fix build with --disable-maintainer-mode.

  === 1.3.9.3 ===

2008-11-14 jeromeg

  * Prepare another release candidate...

2008-11-14 jeromeg

  * lib/screenshooter-utils.c: fix build on some configurations.

2008-11-13 jeromeg

  * Post release bump

  === 1.3.9.2 ===

2008-11-13 jeromeg

  * src/main.c:
    - (main) destroy the widget instead of hiding it.
    - (main) set the dialog window type hint.

2008-11-12 jeromeg

  * lib/screenshooter-dialogs.c
    - (cb_combo_active_item_set_sensitive) add to make save_button insensitive
      when an application is selected.
    - (screenshooter_dialog_new) add a callback to the function above, set the
      sensitiveness when creating the checkbox.

2008-11-12 jeromeg

  * lib/screenshooter-utils.c: 
    - (screenshooter_take_screenshot) rework the window grabbing to try to fix
      bug 4601.
  * src/main.c (main) try to fix 4601:
    - hide the dialog instead of destroying it.
    - sync the display before taking the screenshot.
    - ugly, wait 1 second before taking the screenshot.

2008-11-09 jeromeg

  * Post release bump.
  * NEWS: add a missing item.

  === 1.3.9.1 ===

2008-11-09 jeromeg

  * configure.ac.in : get ready for 1.3.9.1.
  * xfce4-screenshooter.1: bump version number.
  
2008-11-05 jeromeg

  * lib/screenshooter-dialogs.c (add_item):
    - Move the detection of the icon theme out of the if-else.
    - Fallback to the "exec" icon if no icon was found for an application.

2008-11-05 jeromeg

  * src/main.c, panel-plugin/screenshooter-plugin.c:
    - If no application is selected to open the screenshots, show the save 
      dialog as usual. If an application is selected, save the screenshot in
      /tmp without showing the save dialog, and open it with the application.
      The user will then be able to do what he wants to do with the picture, and
      to save it where he wants using the application.
    - don't leak screenshot_path when GIO is not present on the system.
  * NEWS: updated

2008-11-05 jeromeg

  * Add svn tag.
  * Fix the version mess.
  * lib/screenshooter-utils.c: 
    - (screenshooter_read_rc_file) apply a patch by Enrico Tröger to fix a 
      crash.
  * lib/screenshooter-dialogs.c:
    - plug a leak in (cb_default_folder) and in (cb_combo_active_item_changed).

  === 1.3.9.0 ===

2008-11-04 jeromeg

  * Fix make distcheck.
  * Update-po.
  * Get ready for a beta release.

2008-11-04 jeromeg

  * Make sure that all the open with stuff is ifdef'ed.

2008-11-04 jeromeg

  * Add missing comments in the code and improve indentation in some places.

2008-11-03 jeromeg

  * configure.ac.in: Display build options.
  * lib/screenshooter-dialog.c:
    - (cb_combo_active_item_changed) Fix prototype and do not free sd->app as it
      makes the plugin segfault.
  * lib/screenshooter-utils.c:
    - (screenshooter_open_screenshot) Display the error with xfce_err if any.
  * src/main.c: free sd->app when exiting.
  * panel-plugin/screenshooter-plugin.c:
    - (free_data) free sd->app when exiting.
    - (cb_button_clicked) implement open with stuff.
  * TODO: updated.

2008-11-03 jeromeg

  * TODO: updated.
  * lib/screenshooter-utils.h: add define for default application.
  * lib/screenshooter-utils.c:
    - (screenshooter_read_rc_file) read the default application.
    - (screenshooter_write_rc_file) write the default application.
    - (screenshooter_open_screenshot) only open if app != "none".
  * lib/screenshooter-dialogs.c:
    - add a define for icon size.
    - (set_default_item) added to select the correct item of the combobox when
      displaying the interface.
    - (add_item) use the icon size define.
    - (populate_liststore) add the "none" item on the top of the liststore.
    - (screenshooter_dialog_new) add a call to set_default_item.

2008-11-02 jeromeg

  * lib/screenshooter-dialogs.c:
    - (cb_combo_active_item_changed) free sd->app before setting the new value.
    - (add_item) free path, unref file and icon, correctly free names. 

2008-11-01 jeromeg

  * lib/screenshooter-dialogs.c, Implement the Open with stuff:
    - add (cb_combo_active_item_changed), (add_item) and (populate_liststore)
      to manage the combobox stuff.
    - (screenshooter_dialog_new): add the combobox and set signals.
  * Only build the open with stuff if gio is available.    

2008-10-28 jeromeg

  * lib/screenshooter-utils.{c,h}:
    - modify (screenshooter_save_screenshot) so that it returns the save 
      location.
    - start implementing (screenshooter_open_screenshot) to open screenshots
      with a given application.
  * src/main.c:
    - if an application has been chosen, open the screenshot after taking it.

2008-10-28 jeromeg

  * lib/screenshooter-utils.{c,h}: add the "screenshooter_" prefix before
    (take_screenshot) and (save_screenshot).
  * src/main.c: use the new function names in (main).
  * panel-plugin/screenshooter-plugin.c:
    - use new function names.
    - add a missing prototype.
    - clean the indentation of prototypes.
    - add a "cb_" before all callback functions names.
    - use a "screenshooter_plugin_" prefix for other functions.

2008-10-28 jeromeg

  * src/xfce4-screenshooter.desktop.in.in: change the item name.
  * po/:
    - update-po.
    - update French translation.

2008-10-22 jeromeg

  * Reorganisation of the code structure:
    - move the generic code to /lib
    - move the panel stuff to /panel-plugin/
    - keep the main application in /src
  * /lib/screenshooter-utils.{c,h} : 
    - move the preferences file stuff here.
  * /src/main.c: save the button's state and load it on startup.

2008-10-18 jeromeg

  * src/Makefile.am: install desktop file for the main application.
  * src/xfce4-screenshooter.desktop.in.in: desktop file for main application.

2008-10-15 jeromeg

  * src/main.c: destroy the dialog before taking the screenshot of the active
    window, we don't want to get a screenshot of the dialog...
  * src/screenshooter-dialogs.c: don't show the save options and the default
    folder chooser for the main application.
  * src/screenshooter-utils.c: don't leak GdkWindows when falling back to 
    fullscreen.
  
2008-10-12 jeromeg

  * src/screenshooter-dialogs.{c,h}
    - (screenshooter_dialog_new) Add an argument to create the preferences 
      dialog for the plugin.
    - add prototypes for internal functions.
  * src/screenshooter-plugin.c:
    - (screenshot_properties_dialog) Use the code from screenshooter-dialogs.c.
    - remove all the obsolete callbacks.
  * src/main.c: 
    - (main) Use new arguments for screenshooter_dialog_new.
    - (main) Don't declare variables in the middle of a block.
  * src/screenshooter-utils.{c,h}: fix various indentation incoherences.
  * src/Makefile.am:
    - Add screenshooter-dialogs.{c,h} to the plugin source.

2008-10-12 jeromeg

  * src/screenshooter-dialogs.{c,h}:
    - new file to handle the different dialogs.
  * src/main.c:
    - include screenshooter-dialogs.h
    - (main) move the dialog for the preferred directory to 
      screenshooter-dialogs.c
    - (main) if no CLI option is given, show a dialog to set options and take a
      screenshot.
  * src/screenshooter-plugin.c: fix indentation of a function.
  * configure.ac.in: 
    - hardcode the dependence on libxfcegui4.
    - add japanese to the list of translations.
  * src/Makefile.am: add libxfcegui4 flags.
  * NEWS: updated.  

2008-10-05 jeromeg

  * NEWS: updated.
  * src/main.c: add a fullscreen CLI option, the goal is to provide an interface
    to take a screenshot with chosen option when calling the executable without
    any cli options.
  * xfce4-screenshooter.1: add new CLI option.

2008-10-05 jeromeg

  * NEWS: updated and fixed identation.
  * configure.ac.in: added the new translations.

2008-10-05 jeromeg

  * Plug some leaks detected by Gauvain Pocentek:
    - src/main.c: in (main), free sd->screenshot_dir before setting the new 
      value from command line.
    - src/screenshooter-utils.c: in (save_screenshot), free filename before
      getting the user set filename.

2008-10-04 jeromeg

  * Partially refactor the code:
    - screenshooter-utils.{c,h}:
      - simplify some variable names.
      - use an enum for screenshot modes.
      - (take_screenshot) and (save_screenshot) do not depend anymore on the
      backend.
    - main.c:
      - updated to use the new functions and structs' variables.
      - move some code from (main) to (screenshooter_preferences_dialog).
    - screenshooter-plugin.c:
      - updated to use the new functions and structs' variables.
      - use cb_ callbacks names rather than funky ones.

2008-10-02 jeromeg

  * src/screenshooter-utils.c: in (take_screenshot), don't crash when taking a
  screenshot of of the desktop when xfdesktop does not display desktop icons,
  null pointer...
  * NEWS: updated.

2008-09-20 jeromeg

  * src/main.c:
    - (main) plug some leaks with the dir and screenshot_dir.
    - (main) don't use screenshot_dir to store the dirname, it should be done
      with sd->screenshot_dir.
  * NEWS: updated.

2008-09-19 jeromeg

  * icons/*: add some default icons for the applet taken from the Rodent icon
    theme.
  * configure.ac.in: updated to generate makefiles for icons.
  * AUTHORS: add credit to the Rodent icon theme, not sure it's the right place
    to do so, but it's better than nothing.
  * NEWS: updated.
    

2008-09-14 jeromeg

  * src/{main.c, screenshooter-utils.c}: Use applets-screenshooter icon for 
    preferences dialog and save dialog.
  * NEWS : updated.

2008-08-23 jeromeg

  * configure.ac.in: post release bump.

2008-08-23 jeromeg
  
  === 1.3.2 ===
  
  * src/screenshooter-utils.c:
    - (cb_current_folder_changed): new function to update the filename.
    - (save_screenshot): updated to use cb_current_folder_changed.
  * NEWS: updated.
  * configure.ac.in: get ready for new release.

2008-08-19 jeromeg

  * src/*: use a #define to set the default save directory.

2008-08-19 jeromeg

  * src/*:
    - comment all code
    - clean identation
    - plug some leaks of GdkPixbuf.
  * NEWS: updated.

2008-08-16 jeromeg

  * xfce4-screenshooter.1: bump version for future release.
  * configure.ac.in: ditto.
  * src/Makefile.am: build with -Werror
  * NEWS: updated.

2008-08-16 jeromeg

  * src/screenshooter-utils.c:
    - do not g_free screenshot_dir when reading conf file, as we need it after.
    - improve identation.

2008-08-16 jeromeg

  * src/screenshooter-utils.c:
    - ported to use mostly gdk functions.
    - BUGFIX: when the active window is the desktop, instead of returning a
      corrupted snapshot of the background image, return the whole desktop view.
    - drop get_window_property and screenshot_find_active_window which are now 
      useless.
    - improve indentation of code.
  * src/screenshooter-utils.h:
    - remove some useless #includes.
  * configure.ac.in: add svn tag that I had forgotten.
  * NEWS: updated.

2008-08-15 jeromeg

  * src/screenshooter-plugin.c:
    - improve indentation.
    - use tooltips if gtk >= 2.12
  * NEWS: updated.

2008-08-15 jeromeg

  * src/*: plug a LOT of stupid leaks !

2008-07-17 jeromeg

  === 1.3.1 ===
  
  * NEWS: updated.
  * configure.ac.in: get ready for new realease.

2008-07-16 jeromeg

  * src/main.c: g_build_filename should be NULL terminated ! Fixes the warning.

2008-07-16 jeromeg

  * src/main.c: partially fix -s switch when using relative path. An obscure
    warning "Error stating file..." is still shown but it should work fine.

2008-07-15 jeromeg

  * src/main.c: revert one of the last change which does not work.

2008-07-15 jeromeg

  === 1.3.0 ===
  
  * NEWS, README: updated.
  * configure.ac.in: get ready for new release.
  * xfce4-screenshooter.1: update version.  

2008-07-11 jeromeg

  * src/main.c: 
    - add a CLI option to set the directory where screenshots are saved.
    - add a CLI option and a rc file to save a default save folder using a dialog.
  * src/screenshooter-utils.c: do not show full filename in save dialog.
  * xfce4-screenshooter.1: update manpage for the new CLI options.  

2008-07-09 jeromeg

  * src/*: remove obsolete copyrights.
  * src/screenshooter-utils.{c,h}:
    - move the ScreenshotData structure here.
    - port take_screenshot to use ScreenshotData.
    - write a generic save_screenshot function using ScreenshotData.
    - BUGFIX: generate_filename_for_uri now outputs the whole filename with
    its base. Fixes saving of screenshots without showing the save dialog.
  * src/screenshooter-plugin.c:
    - ported to use the new code.
    - remove some obsolete code.
  * main.c:
    - port code to use ScreenshotData.
    - add a CLI option to save screenshots without showing a save dialog.
  * autogen.sh, configure.ac.in: remove some useless things, update a few others.
  * xfce4-screenshooter.1: update manpage for the new CLI option.
  * screenshooter.desktop.in.in: remove deprecated encoding key.

2008-07-08 jeromeg

  * src/screenshooter-plugin.c:
    - separate screenshot data and plugin data.
    - port code to use the two different structures.
    - fix some resulting crashes.

2008-07-05 jeromeg

	* src/*, po/POTFILES.in: bugfix, make filename translatable.

2008-06-29 jeromeg

	* src/screenshooter-plugin.c:
	  - set better var names
	  - fix indentation
	  - partially comment the code

2008-06-27 jeromeg

 === 1.2.0 ===
  
  * NEWS, README: updated for new release.
  * configure.ac: remove svn tag, fix the manpage stuff to have make distcheck
    working.

2008-06-27 jeromeg

	* src/Makefile.am: enable -Wall
	* src/{main.c, screenshooter-utils.{c,h}}: fix gcc warnings except one...
	* BUGFIX: fix infinite loop in generate_filename_for_uri !

2008-06-27 jeromeg

	* src/screenshooter-utils.c: clean generate_filename_for_uri using g_access.

2008-06-20 09:19 jeromeg

	* NEWS: updated.

2008-06-20 08:59 jeromeg

	* src/screenshooter-plugin.c: make labels bold and 
	  aligned to the left.
	* po/:
	  - make update-po.
	  - update French translation.

2008-06-19 19:30 jeromeg

	* src/screenshooter-plugin.c:
	  - add a default save location to the preferences dialog.
	  - update the code to use this new default.
	* src/main.c: save screenshots in home by default.
	* po/: make update-po.
	  
2008-06-19 16:46 jeromeg

	* po/: 
	  - make update-po.
	  - updated French translation. 

2008-06-19 15:09 jeromeg

	* src/screenshooter-plugin.c:
	  - rewrite the preferences dialog
	  - change default delay to 0.

2008-06-18 18:12 jeromeg

	* src/screenshooter-plugin.c: remove some code that seems to
	  be useless.
	* NEWS: updated.

2008-06-18 17:08 jeromeg

	* src/xfce4-screenshooter.1: add manpage (thanks to Debian).
	* Makefile.am: install the manpage.

2008-06-17 21:50 jeromeg

	* src/screenshooter-utils.h: add unistd.h include to fix build
	  with gcc-4.3 (thanks to Lionel Le Folgoc).

2008-06-17 12:37 jeromeg

	* NEWS: update for new release.
	* configure.ac.in: remove svn tag.

2008-06-17 11:52 jeromeg

	* COPYING: added the GPL2 text.
	* autogen.sh, configure.ac.in: 
	  - added some magic of sarts to have the svn versions generated.
	  - cleaned the versions stuff

2008-06-10 09:17 jeromeg

	* po/: update po files.
	* src/screenshooter.c: improve a string.
	
2008-06-08 00:15 jeromeg

	* src/main.c: Add an executable with cli options to take 
	  screenshots, thanks to Ristretto for the nice example !  
	* Modify autotools, makefiles and locale files to 
	  build it, thanks to Gauvain Pocentek.
	* src/screenshooter-utils.h: Add some headers to fix build warnings.
	* README: update with executable cli options
	* NEWS: update

2008-06-06 19:19 jeromeg

	* Move the code to a src/ folder and remove the panel-plugin one.
	* src/screenshooter-utils.{c,h}: moved generic code here.
	* src/screenshooter.c: updated to use the generic code.
	* Update the makefiles and autotools to use new code structure.
	
2008-06-06 15:35 jeromeg

	* panel-plugin/screenshooter.c:
	  - remove deprecated function.
	  - set button sensitive at the end of the screenshot procedure.

2008-06-06 15:19 jeromeg

	* panel-plugin/screenshooter.c:
	  - new behaviour (fullscreen or active window screenshot).
	  - fix delay
	  - fix file saving (cancel now works, based on debian patch).
	  - button made insensitive while screenshot is taken.
	* configure.ac: added x11-proto-core to build deps.
	* README: updated.
	
2008-05-18 18:25 mmassonnet

	* Fix GCC warnings and bug with delay (Patch from Jérôme Guelfucci)
	* Drop automated file INSTALL

2007-06-06 23:00 dbl

	* Fallback to Screenshot.png on "Cancel" (debbug#420242)

2006-09-11 18:51 nick

	* Apply Patch from Enrico Tröger to enable i18n.
